package ch.unige.solidify.util;

import java.time.LocalDateTime;
import java.time.OffsetDateTime;
import java.time.ZoneId;

import ch.unige.solidify.SolidifyConstants;

public class DateTool {

  public static OffsetDateTime swissDateTime2offSetDate(LocalDateTime input) {
    if (input == null) {
      return null;
    }
    return input.atZone(ZoneId.of("Europe/Zurich")).toOffsetDateTime();
  }

  /**
   * This constructor should not be called
   */
  private DateTool() {
    throw new IllegalStateException(SolidifyConstants.TOOL_CLASS);
  }
}
