package ch.unige.solidify.converter;

import javax.persistence.AttributeConverter;
import javax.persistence.Converter;

@Converter(autoApply = true)
public class BooleanConverter implements AttributeConverter<Boolean, String> {

  @Override
  public String convertToDatabaseColumn(Boolean bool) {
    return (bool == null) ? null : bool.toString();
  }

  @Override
  public Boolean convertToEntityAttribute(String stringBoolean) {
    if (stringBoolean == null) {
      return null;
    }
    return stringBoolean.equals("true");
  }
}
